# volume group type

Block Storage v3

## volume group type create

Create a volume group type.

This command requires `--os-volume-api-version` 3.11 or greater.

    openstack volume group type create
        [--description <description>]
        [--public | --private]
        <name>

--description <description>

  Description of the volume group type.

--public

  Volume group type is available to other projects (default)

--private

  Volume group type is not available to other projects

name

  Name of new volume group type.

## volume group type delete

Delete a volume group type.

This command requires `--os-volume-api-version` 3.11 or greater.

    openstack volume group type delete <group_type>

group_type

  Name or ID of volume group type to delete

## volume group type list

Lists all volume group types.

This command requires `--os-volume-api-version` 3.11 or greater.

    openstack volume group type list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--default]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--default

  List the default volume group type.

## volume group type set

Update a volume group type.

This command requires `--os-volume-api-version` 3.11 or greater.

    openstack volume group type set
        [--name <name>]
        [--description <description>]
        [--public | --private]
        [--no-property]
        [--property <key=value>]
        <group_type>

--name <name>

  New name for volume group type.

--description <description>

  New description for volume group type.

--public

  Make volume group type available to other projects.

--private

  Make volume group type unavailable to other projects.

--no-property

  Remove all properties from this volume group type (specify both –no-property and –property to remove the current properties before setting new properties)

--property <key=value>

  Property to add or modify for this volume group type (repeat option to set multiple properties)

group_type

  Name or ID of volume group type.

## volume group type show

Show detailed information for a volume group type.

This command requires `--os-volume-api-version` 3.11 or greater.

    openstack volume group type show <group_type>

group_type

  Name or ID of volume group type.

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.